PDA

View Full Version : Save as 9.2 isn't a silver bullet



monovich
09-02-2008, 12:02 PM
Has anyone else managed to make some scenes in 9.5 that won't open in 9.3 even if you save as 9.2?

I'm using the Occlusion 2 node and it appears that if it is used the object won't open pre-9.5.

This isn't a huge problem because I'm happy with 9.5, but I have some camera baking plugins that I haven't gotten working in 9.5 so I still have to use 9.3 for baking, but before I can do that I have to strip the incompatibilities out of my scene.

Anyone else noticed any features that won't allow opening in 9.3?

-sf

BeeVee
09-02-2008, 12:31 PM
Is the Occlusion 2 node available in versions prior to 9.5?

B

monovich
09-02-2008, 12:52 PM
I don't think it is...

Skonk
09-02-2008, 12:52 PM
Is the Occlusion 2 node available in versions prior to 9.5?

B

Are you asking him because you dont know or was it a rhetorical?

Surely a feature designed to save a file compatible with an older version should strip out any incompatibilities or warn the user to remove them him/herself, the fact that it is posible to save an incompatible file really voids the entire feature does it not?

RebelHill
09-02-2008, 01:07 PM
ive had this today... save as 9.2... wouldnt open in 9.3.... however... the problem scene for me would load in 931, where i resaved it, and now it opens in 9.30

monovich
09-02-2008, 02:35 PM
I was talking about 9.3.1 also.

I'm not really griping about this, at some point you are going to have to lose backwards compatibility in order to keep moving forward, but it is good to keep tabs on what will break backwards compatibility, especially because this is a transition period for me.

-sf

A Mejias
09-02-2008, 03:04 PM
It should work. Please report this as a bug!

dwburman
09-02-2008, 03:16 PM
It sounds like the scene file is compatible, but the object isn't. That makes sense b/c surface settings are saved with the object not with the scene file.